HdfsPathHandle (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: HdfsPathHandle

Package org.apache.hadoop.hdfs.protocol

# Class HdfsPathHandle

java.lang.Object
org.apache.hadoop.hdfs.protocol.HdfsPathHandle

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.fs.PathHandle`

@Private @Unstable public final class HdfsPathHandle extends Object implements org.apache.hadoop.fs.PathHandle
Opaque handle to an entity in HDFS.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdfsPathHandle(String path, Optional<Long> inodeId, Optional<Long> mtime)`
  `HdfsPathHandle(ByteBuffer bytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ByteBuffer`
  `bytes()`
  `boolean`
  `equals(Object other)`
  `String`
  `getPath()`
  `int`
  `hashCode()`
  `String`
  `toString()`
  `void`
  `verify(HdfsLocatedFileStatus stat)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.fs.PathHandle

  `toByteArray`

- ## Constructor Details

  - ### HdfsPathHandle

    public HdfsPathHandle(String path, Optional<Long> inodeId, Optional<Long> mtime)

  - ### HdfsPathHandle

    public HdfsPathHandle(ByteBuffer bytes) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getPath

    public String getPath()

  - ### verify

    public void verify(HdfsLocatedFileStatus stat) throws org.apache.hadoop.fs.InvalidPathHandleException
    Throws:
      `org.apache.hadoop.fs.InvalidPathHandleException`

  - ### bytes

    public ByteBuffer bytes()
    Specified by:
      `bytes` in interface `org.apache.hadoop.fs.PathHandle`

  - ### equals

    public boolean equals(Object other)
    Specified by:
      `equals` in interface `org.apache.hadoop.fs.PathHandle`
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`